[Twisted-Python] ANNOUNCING Tahoe, the Least-Authority File System, v1.7.0

Peter Westlake peter.westlake at pobox.com
Tue Jun 29 10:26:31 EDT 2010


On Mon, 28 Jun 2010 21:41 -0600, "Zooko O'Whielacronx" <zooko at zooko.com>
wrote:
> On Sun, Jun 27, 2010 at 4:04 AM, Peter Westlake
> <peter.westlake at pobox.com> wrote:
> >
> >> python -c "import pkg_resources;print pkg_resources.require('Twisted')"
> >
> > It says:
> >
> > allmydata-tahoe-1.7.0$ python -c "import pkg_resources;print
> > pkg_resources.require('Twisted')"
> > [Twisted 10.0.0
> > (/localhome/packages/allmydata-tahoe-1.7.0/Twisted-10.0.0-py2.5-linux-i686.egg),
> > zope.interface 3.4.0 (/usr/lib/python2.5/site-packages)]
> 
> Well, okay, that says that the one in your current working directory,
> in a .egg, would satisfy that requirement. But suppose you cd to a
> different directory and run it again. :-) Or rm that .egg and run it
> again. Thanks!

Here it is:

allmydata-tahoe-1.7.0$ rm -r Twisted-10.0.0-py2.5-linux-i686.egg
allmydata-tahoe-1.7.0$ python -c "import pkg_resources;print
pkg_resources.require('Twisted')"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 626, in
  require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 524, in
  resolve
    raise DistributionNotFound(req)  # XXX put more info here
pkg_resources.DistributionNotFound: Twisted

> The thing is, it should have been satisfied with the Twisted 8 that
> was already installed in your system, instead of creating that local
> Twisted 10.0.0 egg.

Mystery solved! Though not in the way that I expected:
all the individual Twisted packages are installed, like
python-twisted-bin, python-twisted-core and so on, but
the top-level python-twisted itself was not! Installing
that gets the response:

allmydata-tahoe-1.7.0$ python -c "import pkg_resources;print
pkg_resources.require('Twisted')"
[Twisted 8.1.0 (/usr/lib/python2.5/site-packages)]

The python-twisted package is described as "transitional",
which suggests that it might one day go away. Someone here
is bound to know if it will.

The reason this wasn't the explanation I expected, BTW,
is that I expected to have 2.5.0 installed, not 8.1.0;
but the bug only affects production machines, not the
desktop where I'm installed Tahoe-LAFS.

One last thing: this is on Debian Lenny, so I added the
APT repository, but "apt-get update" gives these errors:

Hit http://volatile.debian.org stable/volatile/non-free Packages
Hit http://security.debian.org stable/updates/non-free Sources
Ign http://allmydata.org lenny/main Packages
Ign http://allmydata.org lenny/tahoe Packages
Ign http://allmydata.org lenny/main Sources
Ign http://allmydata.org lenny/tahoe Sources
Ign http://allmydata.org lenny/main Packages
Ign http://allmydata.org lenny/tahoe Packages
Ign http://allmydata.org lenny/main Sources
Ign http://allmydata.org lenny/tahoe Sources
Err http://allmydata.org lenny/main Packages
  404 Not Found
Err http://allmydata.org lenny/tahoe Packages
  404 Not Found
Err http://allmydata.org lenny/main Sources
  404 Not Found
Err http://allmydata.org lenny/tahoe Sources
  404 Not Found
W: Failed to fetch
http://allmydata.org/debian/dists/lenny/main/binary-i386/Packages  404
Not Found

W: Failed to fetch
http://allmydata.org/debian/dists/lenny/tahoe/binary-i386/Packages  404
Not Found

W: Failed to fetch
http://allmydata.org/debian/dists/lenny/main/source/Sources  404 Not
Found

W: Failed to fetch
http://allmydata.org/debian/dists/lenny/tahoe/source/Sources  404 Not
Found

E: Some index files failed to download, they have been ignored, or old
ones used instead.

Thanks for your help, and apologies if this is straying off-topic for
the list.

Peter.






More information about the Twisted-Python mailing list